List video jobs
GET
/videos
const url = 'https://api.saygm.com/v1/videos?limit=20&order=asc';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.saygm.com/v1/videos?limit=20&order=asc' \ --header 'Authorization: Bearer <token>'List video jobs for the authenticated account. Results are ordered by creation time and use an id cursor.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”after
string
Return jobs after this job id.
limit
integer
Maximum number of jobs to return. Defaults to 20.
order
string
Creation-time order. Defaults to desc.
Responses
Section titled “Responses”A page of video jobs.
Media typeapplication/json
object
object
required
string
data
required
Array<object>
object
id
required
string
object
required
string
model
required
string
seconds
required
Requested duration in seconds, serialized as a numeric string.
string
size
required
string
created_at
required
Creation time as Unix seconds.
integer
completed_at
required
Completion time as Unix seconds, or null until complete.
integer | null
expires_at
required
Content expiry time as Unix seconds.
integer
status
required
string
error
required
usage
required
progress
integer
first_id
required
string | null
last_id
required
string | null
has_more
required
boolean
Example
{ "object": "list", "data": [ { "object": "video", "status": "queued" } ]}A query parameter is invalid.
Media typeapplication/json
object
error
required
object
message
required
string
type
required
string
code
required
string
param
required
string | null
key
additional properties
any
charged
boolean
billing_status
string
potentially_charged
boolean
key
additional properties
any
Example
{ "billing_status": "settled"}The API key is missing or invalid.
Media typeapplication/json
object
error
required
object
message
required
string
type
required
string
code
required
string
param
required
string | null
key
additional properties
any
charged
boolean
billing_status
string
potentially_charged
boolean
key
additional properties
any
Example
{ "billing_status": "settled"}The service cannot complete the request right now.
Media typeapplication/json
object
error
required
object
message
required
string
type
required
string
code
required
string
param
required
string | null
key
additional properties
any
charged
boolean
billing_status
string
potentially_charged
boolean
key
additional properties
any
Example
{ "billing_status": "settled"}